icetImageGetColorFormat(3)

NAME
icetImageGetColorFormat,icetImageGetDepthFormat-- get the format of image buffers

Synopsis

#include <IceT.h>

IceTEnum | icetImageGetColorFormat( | const IceTImage | image | );
IceTEnum | icetImageGetDepthFormat( | const IceTImage | image | );

Description

icetImageGetColorFormatand icetImageGetDepthFormatreturn an entry in an enumeration that specifies the data format stored in the given image. This format determines which one of the icetImageGetColor or icetImageGetDepth functions to use and the form of the resulting data.

Return Value

icetImageGetColorFormatreturns one of the following values with the associated meaning for the format of the stored color data.

ICET_IMAGE_COLOR_RGBA_UBYTE
     Each entry is an RGBA color tuple. Each component is valued in the range from 0 to 255 and is stored as an 8-bit integer. The buffer will always be allocated on memory boundaries such that each color value can be treated as a single 32-bit integer.

ICET_IMAGE_COLOR_RGBA_FLOAT
     Each entry is an RGBA color tuple. Each component is in the range from 0.0 to 1.0 and is stored as a 32-bit float.

ICET_IMAGE_COLOR_NONE
     No color values are stored in the image.

icetImageGetDepthFormatreturns one of the following values with the associated meaning for the format of the stored depth data.

ICET_IMAGE_DEPTH_FLOAT
     Each entry is in the range from 0.0 (near plane) to 1.0 (far plane) and is stored as a 32-bit float.

ICET_IMAGE_DEPTH_NONE
     No depth values are stored in the image.

Errors

None.

Warnings

None.

Bugs

None known.

Copyright
Copyright (C)2010 Sandia Corporation

Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation, the U.S. Government retains certain rights in this software.

This source code is released under the New BSD License.

See Also

icetImageGetColor(3), icetImageGetDepth(3), icetSetColorFormat(3), icetSetDepthFormat(3)